/list

List and create collections. GET returns every collection the user has BAG_READ for, as a flat array (not nested into a tree); PUT creates new collections from an array payload.

GET /collection/list — Retrieve a list of collections.

Retrieve a list of collections.

get
  • Requires an authenticated user.
  • Only collections the user has BAG_READ permissions for are returned.
  • This call is slow for non-root users if there are many collections in the system.
Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Query parameters
offsetintegerOptional

The offset when requesting the collection list.

limitintegerOptional

The limit when requesting the collection list. Default is 1000.

Header parameters
x-fylr-authorizationstringOptional

The access token in form of Bearer <token>. You can also use authorization which does the same. authorization is looked at first.

authorizationstringOptional

The access token in form of Bearer <token>.

Responses
200

The list of collections.

application/json

Array of collections.

_basetypestring · enumOptionalPossible values:
_countnumber · int64Read-onlyOptional

The number of objects in this collection.

_count_recursivenumber · int64Read-onlyOptional

The number of objects in this collection and and all descendant collections (recursive).

_has_aclbooleanRead-onlyOptional

Flag that indicates that this collection has an active _acl (even if inherited).

_has_childrenbooleanRead-onlyOptional

Flag that inidicates if this collection has children. This flag is indpendent of the actual permissions of the user for that collection. So, if the user cannot access the only sub collection of this collection, the _has_children flag will still be set.

_has_remote_objectsbooleanRead-onlyOptional

Flag that inidicates if this collection contains at least one foreign collection object.

_levelbooleanRead-onlyOptional

Starting with 1, _level states the depth of the collection in the collection tree. The top level from the user's perspective is 3. The 1st level is the root collection, the 2nd level the user's top level collection which is a system collection and automatically created to hold all the user's collections underneath.

_private_aclbooleanOptional

Flag which indicates a private ACL. With this setting ACL from the parent are ignored (except for the items which set sticky.

_invalid_aclbooleanRead-onlyOptional

Collection can share permissions to other users. The owner of the collection must carry the grantable permission for each object in the collection in order to share the collection. fylr determines for the whole collection if sharing is allowed or not. If it is not allowed, the collection will be put in _invalid_acl: true state which disables the ACL attached to the collection.

_has_pinbooleanRead-onlyOptional

This flag indicates that the collection has a pin code. The actual pin code is only visible to system.root users and users with the BAG_ACL.

pin_okbooleanRead-onlyOptional

Flag to indicate that the pin was entered correctly for the current user. system.root and all users with the BAG_ACL permission will always see pin_ok.

_created_atstring · RFC3339_dateRead-onlyOptional

Timestamp when this collection was created.

_updated_atstring · RFC3339_dateRead-onlyOptional

Timestamp when this collection was updated.

PUT /collection/list — Create new collections.

Create new collections.

put
  • The user needs BAG_CREATE in the parent collection to create a collection.
  • The _owner needs to be the owner of the parent.
  • To set _private_acl or _acl the user needs BAG_ACL.
  • ACL items with send_email_notification will sent out and email.
  • COLLECTION_INSERT event is written.
Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Query parameters
allow_invalid_aclstring · booleanOptional

Allow storing the collection even if the owner doesn't have the necessary permissions for all objects to share the rights defined in the _acl property of the collection. The _invalid_acl flag will be set, if the user doesn't have sufficient permissions to share all objects of the collection. The user needs the permission BAG_ACL for the collection in order to use this parameter.

Differs from easydb 5: this confirmation is driven by the boolean allow_invalid_acl parameter. easydb 5 instead resolves the 202 confirmation with a collection_rights_policy query parameter; there is no allow_invalid_acl parameter in easydb 5.

background_invalid_aclstring · booleanOptional

If set, the invalid-ACL validity check (whether the collection owner may grant the rights of all linked objects) is not run inline. Instead a queued ACTION_COLLECTION_ACL_CHECK job is scheduled and the request returns immediately, before the check has resolved.

Header parameters
x-fylr-authorizationstringOptional

The access token in form of Bearer <token>. You can also use authorization which does the same. authorization is looked at first.

authorizationstringOptional

The access token in form of Bearer <token>.

Bodyobject[]
_basetypestring · enumOptionalPossible values:
_countnumber · int64Read-onlyOptional

The number of objects in this collection.

_count_recursivenumber · int64Read-onlyOptional

The number of objects in this collection and and all descendant collections (recursive).

_has_aclbooleanRead-onlyOptional

Flag that indicates that this collection has an active _acl (even if inherited).

_has_childrenbooleanRead-onlyOptional

Flag that inidicates if this collection has children. This flag is indpendent of the actual permissions of the user for that collection. So, if the user cannot access the only sub collection of this collection, the _has_children flag will still be set.

_has_remote_objectsbooleanRead-onlyOptional

Flag that inidicates if this collection contains at least one foreign collection object.

_levelbooleanRead-onlyOptional

Starting with 1, _level states the depth of the collection in the collection tree. The top level from the user's perspective is 3. The 1st level is the root collection, the 2nd level the user's top level collection which is a system collection and automatically created to hold all the user's collections underneath.

_private_aclbooleanOptional

Flag which indicates a private ACL. With this setting ACL from the parent are ignored (except for the items which set sticky.

_invalid_aclbooleanRead-onlyOptional

Collection can share permissions to other users. The owner of the collection must carry the grantable permission for each object in the collection in order to share the collection. fylr determines for the whole collection if sharing is allowed or not. If it is not allowed, the collection will be put in _invalid_acl: true state which disables the ACL attached to the collection.

_has_pinbooleanRead-onlyOptional

This flag indicates that the collection has a pin code. The actual pin code is only visible to system.root users and users with the BAG_ACL.

pin_okbooleanRead-onlyOptional

Flag to indicate that the pin was entered correctly for the current user. system.root and all users with the BAG_ACL permission will always see pin_ok.

_created_atstring · RFC3339_dateRead-onlyOptional

Timestamp when this collection was created.

_updated_atstring · RFC3339_dateRead-onlyOptional

Timestamp when this collection was updated.

Responses
200

The list of collections.

application/json

Array of collections.

_basetypestring · enumOptionalPossible values:
_countnumber · int64Read-onlyOptional

The number of objects in this collection.

_count_recursivenumber · int64Read-onlyOptional

The number of objects in this collection and and all descendant collections (recursive).

_has_aclbooleanRead-onlyOptional

Flag that indicates that this collection has an active _acl (even if inherited).

_has_childrenbooleanRead-onlyOptional

Flag that inidicates if this collection has children. This flag is indpendent of the actual permissions of the user for that collection. So, if the user cannot access the only sub collection of this collection, the _has_children flag will still be set.

_has_remote_objectsbooleanRead-onlyOptional

Flag that inidicates if this collection contains at least one foreign collection object.

_levelbooleanRead-onlyOptional

Starting with 1, _level states the depth of the collection in the collection tree. The top level from the user's perspective is 3. The 1st level is the root collection, the 2nd level the user's top level collection which is a system collection and automatically created to hold all the user's collections underneath.

_private_aclbooleanOptional

Flag which indicates a private ACL. With this setting ACL from the parent are ignored (except for the items which set sticky.

_invalid_aclbooleanRead-onlyOptional

Collection can share permissions to other users. The owner of the collection must carry the grantable permission for each object in the collection in order to share the collection. fylr determines for the whole collection if sharing is allowed or not. If it is not allowed, the collection will be put in _invalid_acl: true state which disables the ACL attached to the collection.

_has_pinbooleanRead-onlyOptional

This flag indicates that the collection has a pin code. The actual pin code is only visible to system.root users and users with the BAG_ACL.

pin_okbooleanRead-onlyOptional

Flag to indicate that the pin was entered correctly for the current user. system.root and all users with the BAG_ACL permission will always see pin_ok.

_created_atstring · RFC3339_dateRead-onlyOptional

Timestamp when this collection was created.

_updated_atstring · RFC3339_dateRead-onlyOptional

Timestamp when this collection was updated.

GET /collection/list/{parentId} — Retrieve all children of the given parent collection. This returns only the immediate children.

Retrieve all children of the given parent collection. This returns only the immediate children.

get
  • Requires an authenticated user.
  • Only collections the user has BAG_READ permissions for are returned.
  • This call is slow for non-root users if there are many collections in the system.
Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Path parameters
parentIdstringRequired

The parent id of the collection to list the children for. Use null to retrieve collections without parent.

Query parameters
offsetintegerOptional

The offset when requesting the collection list.

limitintegerOptional

The limit when requesting the collection list. Default is 1000.

Header parameters
x-fylr-authorizationstringOptional

The access token in form of Bearer <token>. You can also use authorization which does the same. authorization is looked at first.

authorizationstringOptional

The access token in form of Bearer <token>.

Responses
200

The list of collections.

application/json

Array of collections.

_basetypestring · enumOptionalPossible values:
_countnumber · int64Read-onlyOptional

The number of objects in this collection.

_count_recursivenumber · int64Read-onlyOptional

The number of objects in this collection and and all descendant collections (recursive).

_has_aclbooleanRead-onlyOptional

Flag that indicates that this collection has an active _acl (even if inherited).

_has_childrenbooleanRead-onlyOptional

Flag that inidicates if this collection has children. This flag is indpendent of the actual permissions of the user for that collection. So, if the user cannot access the only sub collection of this collection, the _has_children flag will still be set.

_has_remote_objectsbooleanRead-onlyOptional

Flag that inidicates if this collection contains at least one foreign collection object.

_levelbooleanRead-onlyOptional

Starting with 1, _level states the depth of the collection in the collection tree. The top level from the user's perspective is 3. The 1st level is the root collection, the 2nd level the user's top level collection which is a system collection and automatically created to hold all the user's collections underneath.

_private_aclbooleanOptional

Flag which indicates a private ACL. With this setting ACL from the parent are ignored (except for the items which set sticky.

_invalid_aclbooleanRead-onlyOptional

Collection can share permissions to other users. The owner of the collection must carry the grantable permission for each object in the collection in order to share the collection. fylr determines for the whole collection if sharing is allowed or not. If it is not allowed, the collection will be put in _invalid_acl: true state which disables the ACL attached to the collection.

_has_pinbooleanRead-onlyOptional

This flag indicates that the collection has a pin code. The actual pin code is only visible to system.root users and users with the BAG_ACL.

pin_okbooleanRead-onlyOptional

Flag to indicate that the pin was entered correctly for the current user. system.root and all users with the BAG_ACL permission will always see pin_ok.

_created_atstring · RFC3339_dateRead-onlyOptional

Timestamp when this collection was created.

_updated_atstring · RFC3339_dateRead-onlyOptional

Timestamp when this collection was updated.

Last updated